﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ModelFileManager
{
    public partial class Rename : Form
    {
        public string _modelFile = "";
        public string _modelName = "";

        // ----------------------------------------------------------------------------------------------------------------------

        public Rename(string ModelFile)
        {
            InitializeComponent();
            _modelFile = ModelFile;
        }

        // ----------------------------------------------------------------------------------------------------------------------

        private void Rename_Load(object sender, EventArgs e)
        {
            _modelName = Common.GetModelName(_modelFile);
            txtModelName.Text = _modelName;
        }

        // ----------------------------------------------------------------------------------------------------------------------

        private void btnRename_Click(object sender, EventArgs e)
        {
            if (txtModelName.Text.Trim() == "")
            {
                MessageBox.Show("You must enter a new name.", "Sorry", MessageBoxButtons.OK, MessageBoxIcon.Question);
            }
            else if (txtModelName.Text.Trim() == _modelName) // no name change
            {
                // do nothing
                this.DialogResult = System.Windows.Forms.DialogResult.OK;
                this.Close();
            }
            else
            {
                _modelName = txtModelName.Text;
                this.DialogResult = System.Windows.Forms.DialogResult.OK;
                this.Close();
            }
        }

        // ----------------------------------------------------------------------------------------------------------------------

        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.Close();
        }

    }
}
