﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ModelFileManager
{
    public partial class Viewer : Form
    {
        private string _modelfile = "";

        // ----------------------------------------------------------------------------------------------------------------------

        public Viewer(string ModelFile)
        {
            InitializeComponent();
            _modelfile = ModelFile;
        }

        // ----------------------------------------------------------------------------------------------------------------------

        private void Viewer_Load(object sender, EventArgs e)
        {
            if (File.Exists(_modelfile))
            {
                StringBuilder sb = new StringBuilder();
                using (StreamReader sr = new StreamReader(_modelfile))
                {
                    while (sr.Peek() > -1)
                    {
                        string readLine = sr.ReadLine();
                        sb.AppendLine(readLine);
                    }
                }
                txtView.Text = sb.ToString();
                txtView.Select(0, 0);
            }
        }

        // ----------------------------------------------------------------------------------------------------------------------

        private void Viewer_Resize(object sender, EventArgs e)
        {
            btnClose.Left = (this.Width - btnClose.Width) / 2;
        }

        // ----------------------------------------------------------------------------------------------------------------------

        private void btnClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
